/**
 * Asserts that a value is a `Function` using `yield` syntax.
 * @param value function* gen() { yield 'i am a generator' }
 * @matcherName toBeGeneratorFunction
 * @memberMatcherName toHaveGeneratorFunction
 * @matcherMessage expected ${value} to be a function using yield syntax.
 * @matcherNotMessage expected ${value} not to be a function using yield syntax.
 */
export declare const isGeneratorFunction: <CallTimeType = Generator<unknown, any, unknown>>(value: unknown) => value is CallTimeType;
