"use strict";
exports.__esModule = true;
exports.isGeneratorFunction = void 0;
var has_type_1 = require("./lib/has-type");
/**
 * Asserts that a value is a `Function` using `yield` syntax.
 * @param value function* gen() { yield 'i am a generator' }
 * @matcherName toBeGeneratorFunction
 * @memberMatcherName toHaveGeneratorFunction
 * @matcherMessage expected ${value} to be a function using yield syntax.
 * @matcherNotMessage expected ${value} not to be a function using yield syntax.
 */
exports.isGeneratorFunction = (0, has_type_1.hasType)('GeneratorFunction');
